Add clear query icon next to selected query in sidebar

2019-06-29 13:43 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.1.0   

Description

Now that "All issues" link was removed from the sidebar, we should have an easier way in sidebar to clear the current query.

My proposal is to add a Clear link next to selected query link:

 clear_query.png 

On hover:

 clear_query_hover.png 

Related issues:

Related to Redmine - Patch #30294: Move the links (View all issues, Summary, ... Closed

Associated revisions

Revision 18468 - 2019-09-14 02:33 - Go MAEDA

Add clear query icon next to selected query in sidebar (#31640).

Patch by Marius BALTEANU.

History

#1 - 2019-06-29 13:44 - Marius BĂLTEANU

- File 0001-Add-clear-link-icon-for-selected-query-in-sidebar.patch added

#2 - 2019-06-29 13:46 - Marius BĂLTEANU

- Related to Patch #30294: Move the links (View all issues, Summary, Import) from the Issues section of the issues list sidebar under a dropdown 

added

#3 - 2019-06-29 13:57 - Marius BĂLTEANU

- File deleted (0001-Add-clear-link-icon-for-selected-query-in-sidebar.patch)

#4 - 2019-06-29 13:57 - Marius BĂLTEANU

- File 0001-Add-clear-link-icon-for-selected-query-in-sidebar.patch added

Fixed some Rubocop warnings.

#5 - 2019-06-29 14:19 - Marius BĂLTEANU

All tests pass: https://gitlab.com/redmine-org/redmine/pipelines/68625213

#6 - 2019-06-30 07:34 - Go MAEDA

Although I understand the reason why you use reload.png  (reload.png), I think the current icon used in your patch is not appropriate because it looks

like a button to reload the current query. In my opinion, the icon should be the one similar to close.png  (close.png).

#7 - 2019-07-01 00:10 - Marius BĂLTEANU

- File clear_with_close.png added

- File 0001-Add-clear-link-icon-for-selected-query-in-sidebar_2.patch added

Go MAEDA wrote:

Although I understand the reason why you use reload.png  (reload.png), I think the current icon used in your patch is not appropriate because it
looks like a button to reload the current query. In my opinion, the icon should be the one similar to close.png  (close.png).

 Agree, but close.png  (close.png) icon is not so visible:

 clear_with_close.png 

Attached the updated patch. Go Maeda, if you have a better idea, please fell free to update my patch.

#8 - 2019-09-08 16:43 - Go MAEDA

- File clear_with_close_hl@2x.png added

- File 31910.patch added

- Target version changed from Candidate for next major release to 4.1.0

Marius BALTEANU wrote:

Agree, but close.png  (close.png) icon is not so visible:

 Using close_hl.png  (close_hl.png) looks nicer.

 

#9 - 2019-09-09 21:35 - Marius BĂLTEANU

Go MAEDA wrote:

Marius BALTEANU wrote:

Agree, but close.png  (close.png) icon is not so visible:

 Using close_hl.png  (close_hl.png) looks nicer.

 Indeed, close_hl.png is better.

Regarding the patch, you have attached a wrong one.

#10 - 2019-09-12 04:38 - Go MAEDA

- File deleted (31910.patch)

#11 - 2019-09-12 04:39 - Go MAEDA

- File 31640-close_hl.patch added

Marius BALTEANU wrote:

Regarding the patch, you have attached a wrong one.

 Sorry, here is the correct patch.
#12 - 2019-09-14 03:03 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for improving Redmine.

Files

clear_query.png 43.4 KB 2019-06-29 Marius BĂLTEANU

clear_query_hover.png 45.2 KB 2019-06-29 Marius BĂLTEANU

0001-Add-clear-link-icon-for-selected-query-in-sidebar.patch 3.64 KB 2019-06-29 Marius BĂLTEANU

clear_with_close.png 41.2 KB 2019-06-30 Marius BĂLTEANU

0001-Add-clear-link-icon-for-selected-query-in-sidebar_2.patch 3.64 KB 2019-06-30 Marius BĂLTEANU

clear_with_close_hl@2x.png 13.8 KB 2019-09-08 Go MAEDA

31640-close_hl.patch 3.77 KB 2019-09-12 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-05 3/3

http://www.tcpdf.org

